# OnPart

Non-local user is leaving a channel

Parameters

    $0 = nickname
    $1 = username
    $2 = hostname
    $3 = part message

Window
Channel
Description

Triggered when a NON-local user is leaving a channel.
The PART message has already been processed by the server , so the user is effectively no longer on the channel. On the other side, it might be useful to access the user-related channel data from this event, thus the handler is called effectively just BEFORE the user effectively leaves the channel (and thus BEFORE the user-related channel data gets destroyed).
Since this event is triggered in the chanel window, you can get the channel name by using the $target function.
Calling 'halt' in this event will stop the part message output.

See also
OnMeJoin, OnJoin, OnMePart

Main index, Event index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004